﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TransferData
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            xdg1.DataContext = Data.GetData(5, 1, 5);
            xdg2.DataContext = Data.GetData(10, 100, 500);

        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            for (int i = 0; i < xdg1.Records.Count-1; i++)
            {
                (xdg2.Records[i] as DataRecord).Cells[0].Value = (xdg1.Records[i] as DataRecord).Cells[0].Value.ToString();// ERROR
                (xdg2.Records[i] as DataRecord).Cells[1].Value = (xdg1.Records[i] as DataRecord).Cells[1].Value.ToString();
                //(xdg2.Records[i] as DataRecord).Cells[2].Value = result.ToString();

            }

        }
    }
    
    public class Data : INotifyPropertyChanged
    {
        private int value;
        private string label;

        public string Label
        {
            get { return label; }
            set
            {
                label = value;
                PropChanged("Label");
            }
        }

     

        public int Value
        {
            get { return value; }
            set
            {
                this.value = value;
                PropChanged("Value");
            }
        }

        public static ObservableCollection<Data> GetData(int points, int rangeStart, int rangeEnd)
        {
            ObservableCollection<Data> data = new ObservableCollection<Data>();
            Random r = new Random();
            for (int i = 0; i < points; i++)
            {
                data.Add(new Data
                {
                    Label = "Item " + i,
                    Value = r.Next(rangeStart, rangeEnd),
                });
            }

            return data;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
				
}
